=== debian/changelog ===
odil (0.4.1-1) unstable; urgency=medium

  [ Julien Lamy ]
  * New upstream release.

  [ Mattia Rizzolo ]
  * Use HTTPS in Vcs-Git.
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Julien Lamy <lamy@unistra.fr>  Sun, 28 Feb 2016 16:09:21 +0100

odil (0.4.0-1) unstable; urgency=medium

  [ Julien Lamy ]
  * New upstream release.
  * Rename package to follow upstream renaming.

  [ Andreas Tille ]
  * Rename packaging git repository

 -- Julien Lamy <lamy@unistra.fr>  Wed, 13 Jan 2016 14:25:34 +0100

dcmtkpp (0.3.1-3) unstable; urgency=medium

  * Disable network-related tests at build time (Closes: #807675)

 -- Julien Lamy <lamy@unistra.fr>  Sun, 13 Dec 2015 16:34:21 +0100

dcmtkpp (0.3.1-2) unstable; urgency=medium

  * build-depend on libdcmtk (Closes: #804570)

 -- Julien Lamy <lamy@unistra.fr>  Tue, 17 Nov 2015 16:38:57 +0100

dcmtkpp (0.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Lamy <lamy@unistra.fr>  Tue, 17 Nov 2015 16:38:32 +0100

dcmtkpp (0.2.1-1) unstable; urgency=low

  * Initial release (Closes: #793392)

 -- Julien Lamy <lamy@unistra.fr>  Thu, 16 Jul 2015 15:18:46 +0200
