=== debian/control ===
Source: odil
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Julien Lamy <lamy@unistra.fr>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               d-shlibs,
               cmake,
               pkg-config,
               libjsoncpp-dev,
               libdcmtk-dev | libdcmtk2-dev,
               libicu-dev (>= 4.8.1.1),
               zlib1g-dev,
               uuid-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-test-dev (>= 1.46.1),
               dcmtk (>= 3.6.0),
               doxygen,
               graphviz
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/odil.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/odil.git
Homepage: https://github.com/lamyj/odil

Package: libodil0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Provides: libdcmtkpp0
Conflicts: libdcmtkpp0
Replaces: libdcmtkpp0
Description: Odil is a C++11 library for the DICOM standard
 Odil leverages C++ constructs to provide a user-friendly API of the 
 different parts of the DICOM standard. Included in Odil are exception-based
 error handling, generic access to datasets elements, standard JSON and XML 
 representation of datasets, and generic implementation of messages, clients
 and servers for the various DICOM protocols.
 .
 Odil also provides conversion to and from DCMTK data structures.
 .
 This package contains the shared library.

Package: libodil0-dev
Architecture: any
Section: libdevel
Depends: libodil0 (= ${binary:Version}),
         ${devlibs:Depends},
         ${misc:Depends}
Provides: libodil-dev, libdcmtkpp-dev
Conflicts: libodil-dev, libdcmtkpp-dev
Replaces: libdcmtkpp-dev
Description: Odil is a C++11 library for the DICOM standard (development files)
 Odil leverages C++ constructs to provide a user-friendly API of the 
 different parts of the DICOM standard. Included in Odil are exception-based
 error handling, generic access to datasets elements, standard JSON and XML 
 representation of datasets, and generic implementation of messages, clients
 and servers for the various DICOM protocols.
 .
 This package contains the development files.

Package: libodil0-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends}
Provides: libdcmtkpp0-doc
Conflicts: libdcmtkpp0-doc
Replaces: libdcmtkpp0-doc
Description: Odil is a C++11 library for the DICOM standard (documentation)
 Odil leverages C++ constructs to provide a user-friendly API of the 
 different parts of the DICOM standard. Included in Odil are exception-based
 error handling, generic access to datasets elements, standard JSON and XML 
 representation of datasets, and generic implementation of messages, clients
 and servers for the various DICOM protocols.
 .
 This package contains the documentation files.
