=== debian/rules ===
#!/usr/bin/make -f

export DEB_CXXFLAGS_MAINT_APPEND  = -std=c++0x

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --builddirectory=build --parallel

override_dh_auto_build:
	dh_auto_build
	doxygen && mv doc build

override_dh_auto_test:
	cd build && ../tests/run.sh --no-network -E 'Association|Network|ServiceRole|SCP|SCU|Transport'

override_dh_install:
	dh_install
	d-shlibmove \
		--commit --multiarch --exclude-a --exclude-la \
		--movedev debian/tmp/usr/include/* usr/include \
		--override s/libjsoncpp.-dev/libjsoncpp-dev/ \
		--override s/libdcm.*-dev/libdcmtk-dev/ \
		--override s/libof.*-dev/libdcmtk-dev/ \
		--override s/libicuuc.*-dev/libicu-dev/ \
                --override s/libboost_filesystem.*-dev/libboost-filesystem-dev/ \
                --override s/libboost_system.*-dev/libboost-system-dev/ \
		debian/tmp/usr/lib/*.so
