=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/odil-$1\.tar\.gz/ \
  https://github.com/lamyj/odil/tags .*/v?(\d\S*)\.tar\.gz
