=== debian/changelog ===
odil (0.7.0-2) unstable; urgency=medium

  * Fix tests when building i386

 -- Julien Lamy <lamy@unistra.fr>  Tue, 21 Jun 2016 14:29:24 +0200

odil (0.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Lamy <lamy@unistra.fr>  Tue, 14 Jun 2016 16:12:55 +0200

odil (0.6.0-2) unstable; urgency=medium

  * Make build reproducible

 -- Julien Lamy <lamy@unistra.fr>  Thu, 26 May 2016 08:32:47 +0200

odil (0.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Lamy <lamy@unistra.fr>  Thu, 12 May 2016 16:58:04 +0200

odil (0.5.0-3) unstable; urgency=medium

  * Fix building only architecture-dependent packages

 -- Julien Lamy <lamy@unistra.fr>  Fri, 22 Apr 2016 07:48:59 +0200

odil (0.5.0-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8
  * Fix building only architecture-independent packages (Closes: #822110)

 -- Julien Lamy <lamy@unistra.fr>  Thu, 21 Apr 2016 14:37:08 +0200

odil (0.5.0-1) unstable; urgency=medium

  [ Julien Lamy ]
  * New upstream release.

  [ Andreas Tille ]
  * Add missing debhelper token to postinst/postrm

 -- Julien Lamy <lamy@unistra.fr>  Fri, 08 Apr 2016 18:29:02 +0200

odil (0.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Lamy <lamy@unistra.fr>  Mon, 14 Mar 2016 16:58:33 +0100
