=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                d-shlibs,
+               dh-python,
                cmake,
                pkg-config,
                libjsoncpp-dev,
@@ -14,14 +15,19 @@
                uuid-dev,
                libboost-dev,
                libboost-filesystem-dev,
+               libboost-python-dev,
+               liblog4cpp5-dev,
                libboost-test-dev (>= 1.46.1),
+               chrpath,
                dcmtk (>= 3.6.0),
-               doxygen,
-               graphviz
-Standards-Version: 3.9.7
+               python,
+               python-nose
+Build-Depends-Indep: doxygen, graphviz
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/odil.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/odil.git
 Homepage: https://github.com/lamyj/odil
+X-Python-Version: >= 2.7
 
 Package: libodil0
 Architecture: any
@@ -31,7 +37,7 @@
 Provides: libdcmtkpp0
 Conflicts: libdcmtkpp0
 Replaces: libdcmtkpp0
-Description: Odil is a C++11 library for the DICOM standard
+Description: C++11 library for the DICOM standard
  Odil leverages C++ constructs to provide a user-friendly API of the 
  different parts of the DICOM standard. Included in Odil are exception-based
  error handling, generic access to datasets elements, standard JSON and XML 
@@ -51,7 +57,7 @@
 Provides: libodil-dev, libdcmtkpp-dev
 Conflicts: libodil-dev, libdcmtkpp-dev
 Replaces: libdcmtkpp-dev
-Description: Odil is a C++11 library for the DICOM standard (development files)
+Description: C++11 library for the DICOM standard (development files)
  Odil leverages C++ constructs to provide a user-friendly API of the 
  different parts of the DICOM standard. Included in Odil are exception-based
  error handling, generic access to datasets elements, standard JSON and XML 
@@ -68,7 +74,7 @@
 Provides: libdcmtkpp0-doc
 Conflicts: libdcmtkpp0-doc
 Replaces: libdcmtkpp0-doc
-Description: Odil is a C++11 library for the DICOM standard (documentation)
+Description: C++11 library for the DICOM standard (documentation)
  Odil leverages C++ constructs to provide a user-friendly API of the 
  different parts of the DICOM standard. Included in Odil are exception-based
  error handling, generic access to datasets elements, standard JSON and XML 
@@ -77,3 +83,30 @@
  .
  This package contains the documentation files.
 
+Package: python-odil
+Architecture: any
+Section: python
+Depends: libodil0 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${python:Depends},
+         ${misc:Depends}
+Description: C++11 library for the DICOM standard (Python wrappers)
+ Odil leverages C++ constructs to provide a user-friendly API of the 
+ different parts of the DICOM standard. Included in Odil are exception-based
+ error handling, generic access to datasets elements, standard JSON and XML 
+ representation of datasets, and generic implementation of messages, clients
+ and servers for the various DICOM protocols.
+ .
+ This package contains the Python wrappers.
+
+Package: odil
+Architecture: all
+Depends: python-odil, python, ${misc:Depends}
+Description: C++11 library for the DICOM standard (application)
+ Odil leverages C++ constructs to provide a user-friendly API of the 
+ different parts of the DICOM standard. Included in Odil are exception-based
+ error handling, generic access to datasets elements, standard JSON and XML 
+ representation of datasets, and generic implementation of messages, clients
+ and servers for the various DICOM protocols.
+ .
+ This package contains the command-line application.
