=== debian/changelog ===
odil (0.7.3-1) unstable; urgency=medium

  * New upstream release.
  * Add multiarch meta-data.

 -- Julien Lamy <lamy@unistra.fr>  Fri, 21 Oct 2016 12:12:03 +0200

odil (0.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Lamy <lamy@unistra.fr>  Tue, 16 Aug 2016 13:15:31 +0200

odil (0.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Lamy <lamy@unistra.fr>  Fri, 08 Jul 2016 17:50:58 +0200
