=== debian/control ===
--- 
+++ 
@@ -37,6 +37,7 @@
 Provides: libdcmtkpp0
 Conflicts: libdcmtkpp0
 Replaces: libdcmtkpp0
+Multi-Arch: same
 Description: C++11 library for the DICOM standard
  Odil leverages C++ constructs to provide a user-friendly API of the 
  different parts of the DICOM standard. Included in Odil are exception-based
@@ -57,6 +58,7 @@
 Provides: libodil-dev, libdcmtkpp-dev
 Conflicts: libodil-dev, libdcmtkpp-dev
 Replaces: libdcmtkpp-dev
+Multi-Arch: same
 Description: C++11 library for the DICOM standard (development files)
  Odil leverages C++ constructs to provide a user-friendly API of the 
  different parts of the DICOM standard. Included in Odil are exception-based
@@ -74,6 +76,7 @@
 Provides: libdcmtkpp0-doc
 Conflicts: libdcmtkpp0-doc
 Replaces: libdcmtkpp0-doc
+Multi-Arch: foreign
 Description: C++11 library for the DICOM standard (documentation)
  Odil leverages C++ constructs to provide a user-friendly API of the 
  different parts of the DICOM standard. Included in Odil are exception-based
@@ -90,6 +93,7 @@
          ${shlibs:Depends},
          ${python:Depends},
          ${misc:Depends}
+Multi-Arch: foreign
 Description: C++11 library for the DICOM standard (Python wrappers)
  Odil leverages C++ constructs to provide a user-friendly API of the 
  different parts of the DICOM standard. Included in Odil are exception-based
