=== debian/rules ===
#!/usr/bin/make -f

export DEB_CXXFLAGS_MAINT_APPEND  = -std=c++0x
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --builddirectory=build --parallel --with python2

override_dh_auto_build-indep:
	mkdir -pv build
	doxygen && mv -v doc build

override_dh_auto_test-arch:
	cd build && ../tests/run --no-network

override_dh_install-arch:
	dh_install
	chrpath -d debian/python-odil/usr/lib/python*/dist-packages/odil.so
	d-shlibmove \
		--commit --multiarch --exclude-a --exclude-la \
		--movedev debian/tmp/usr/include/* usr/include \
		--override s/libjsoncpp.-dev/libjsoncpp-dev/ \
		--override s/libdcm.*-dev/libdcmtk-dev/ \
		--override s/libof.*-dev/libdcmtk-dev/ \
		--override s/libicuuc.*-dev/libicu-dev/ \
                --override s/libboost_filesystem.*-dev/libboost-filesystem-dev/ \
                --override s/libboost_regex.*-dev/libboost-regex-dev/ \
                --override s/libboost_system.*-dev/libboost-system-dev/ \
		debian/tmp/usr/lib/*.so

# These steps are not needed for arch-independent packages
override_dh_auto_configure-indep:
override_dh_auto_test-indep:
override_dh_auto_install-indep:
