=== debian/changelog ===
odil (0.8.0-4build1) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:54:46 +0000

odil (0.8.0-4) unstable; urgency=medium

  * Fix install of Python files (Closes: #878426)
  * Update standards version

 -- Julien Lamy <lamy@unistra.fr>  Sun, 22 Oct 2017 11:30:35 +0200

odil (0.8.0-3.1) unstable; urgency=medium
  * Non-maintainer upload.
  * Fix installation of python3 modules.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Oct 2017 09:50:40 +0200

odil (0.8.0-3) unstable; urgency=medium

  [ Julien Lamy ]
  * Fix GCC 7 symbols (Closes: #871301)
  * Fix Python version
  * Update standards version

  [ Andreas Tille ]
  * debhelper 10

 -- Julien Lamy <lamy@unistra.fr>  Tue, 22 Aug 2017 11:38:55 +0200

odil (0.8.0-2) experimental; urgency=medium

  * Update copyright holder (Closes: #861747)
  * Fix building only architecture-dependent packages

 -- Julien Lamy <lamy@unistra.fr>  Tue, 09 May 2017 10:00:18 +0200

odil (0.8.0-1) experimental; urgency=medium

  [ Julien Lamy ]
  * New upstream release.
  * Add Python3 packages.
  * Drop version from -dev and -doc package
  * Update copyright for ctest-to-junit.xsl

  [ Andreas Tille ]
  * Remove some unneeded overrides

 -- Julien Lamy <lamy@unistra.fr>  Wed, 19 Apr 2017 14:51:28 +0200
