=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Uploaders: Julien Lamy <lamy@unistra.fr>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               d-shlibs,
+Build-Depends: debhelper (>= 10),
+               d-shlibs (>= 0.79),
                dh-python,
                cmake,
+               g++ (>= 4:7),
                pkg-config,
                libjsoncpp-dev,
                libdcmtk-dev | libdcmtk2-dev,
@@ -14,20 +15,24 @@
                zlib1g-dev,
                uuid-dev,
                libboost-dev,
+               libboost-date-time-dev,
                libboost-filesystem-dev,
                libboost-python-dev,
                liblog4cpp5-dev,
                libboost-test-dev (>= 1.46.1),
                chrpath,
                dcmtk (>= 3.6.0),
-               python,
-               python-nose
+               python-dev,
+               python3-dev,
+               python-nose,
+               python3-nose
 Build-Depends-Indep: doxygen, graphviz
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/odil.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/odil.git
 Homepage: https://github.com/lamyj/odil
 X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.4
 
 Package: libodil0
 Architecture: any
@@ -49,15 +54,15 @@
  .
  This package contains the shared library.
 
-Package: libodil0-dev
+Package: libodil-dev
 Architecture: any
 Section: libdevel
 Depends: libodil0 (= ${binary:Version}),
          ${devlibs:Depends},
          ${misc:Depends}
-Provides: libodil-dev, libdcmtkpp-dev
-Conflicts: libodil-dev, libdcmtkpp-dev
-Replaces: libdcmtkpp-dev
+Provides: libodil0-dev, libdcmtkpp-dev
+Conflicts: libodil0-dev, libdcmtkpp-dev
+Replaces: libodil0-dev, libdcmtkpp-dev
 Multi-Arch: same
 Description: C++11 library for the DICOM standard (development files)
  Odil leverages C++ constructs to provide a user-friendly API of the 
@@ -68,14 +73,14 @@
  .
  This package contains the development files.
 
-Package: libodil0-doc
+Package: libodil-doc
 Architecture: all
 Section: doc
 Depends: libjs-jquery,
          ${misc:Depends}
-Provides: libdcmtkpp0-doc
-Conflicts: libdcmtkpp0-doc
-Replaces: libdcmtkpp0-doc
+Provides: libodil0-doc, libdcmtkpp0-doc
+Conflicts: libodil0-doc, libdcmtkpp0-doc
+Replaces: libodil0-doc, libdcmtkpp0-doc
 Multi-Arch: foreign
 Description: C++11 library for the DICOM standard (documentation)
  Odil leverages C++ constructs to provide a user-friendly API of the 
@@ -103,6 +108,23 @@
  .
  This package contains the Python wrappers.
 
+Package: python3-odil
+Architecture: any
+Section: python
+Depends: libodil0 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${python3:Depends},
+         ${misc:Depends}
+Multi-Arch: foreign
+Description: C++11 library for the DICOM standard (Python 3 wrappers)
+ Odil leverages C++ constructs to provide a user-friendly API of the 
+ different parts of the DICOM standard. Included in Odil are exception-based
+ error handling, generic access to datasets elements, standard JSON and XML 
+ representation of datasets, and generic implementation of messages, clients
+ and servers for the various DICOM protocols.
+ .
+ This package contains the Python 3 wrappers.
+
 Package: odil
 Architecture: all
 Depends: python-odil, python, ${misc:Depends}
